Subject: Ticket Assigned - Feedback or suggestions
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 12 Apr 2021 05:26:52 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Hi Team, 

I bought 3 tousers in your splash burjuman store. We asked them to alter the trousers as per my height. 

Collection Day - They promised me to come to the store on 30/03/21. When we went there they mentioned that the trousers did not arrive yet. So, i requested them stating that i cannot come to collect the tousers and asked them to deliver to my hotel location Premier Inn Dubai Al Jaddaf.

31/03/31 - I had to call them in the evening asking for the trouser and they mentioned that they are short staffed to deliver to my location and they requested me to give them time until 01/04/21 and we will defenitely deliver to your place

01/04/21 - The manager calls and informs me that their team accidently sent the trousers back to the wearhouse. He again requested to give more time for delivery. 

02/04/21 - I again followed up with the store now i again get the answer stating that it is still stuck in the wearhouse. 

With in this type of service i am not sure if they are actually telling the truth or they are just trying to get away with thier mistake. 

Looking at the service i am getting i am not sure if i will even get my trousers. This is such a bad service and the team does not have any responsibility. 

Looks like i am simply wasting my time calling them and going to the store. 

Hopefully by reading this i will get a solution at the soonest and i am defenitely expecting a call back from your team for this feedback.

Thank you
Nag
+971544478505 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2341411